# HG changeset patch
# Node ID a6f1bc9938fb
# Parent  50a483611feb
diff --git a/pidgin/gtkconv.c b/pidgin/gtkconv.c
--- a/pidgin/gtkconv.c
+++ b/pidgin/gtkconv.c
@@ -2611,19 +2611,11 @@
 
 	/* Conversations */
 	purple_prefs_add_none(PIDGIN_PREFS_ROOT "/conversations");
-	purple_prefs_add_bool(PIDGIN_PREFS_ROOT "/conversations/send_bold", FALSE);
-	purple_prefs_add_bool(PIDGIN_PREFS_ROOT "/conversations/send_italic", FALSE);
-	purple_prefs_add_bool(PIDGIN_PREFS_ROOT "/conversations/send_underline", FALSE);
-	purple_prefs_add_bool(PIDGIN_PREFS_ROOT "/conversations/send_strike", FALSE);
 	purple_prefs_add_bool(PIDGIN_PREFS_ROOT "/conversations/show_incoming_formatting", TRUE);
 	purple_prefs_add_int(PIDGIN_PREFS_ROOT "/conversations/minimum_entry_lines", 2);
 
 	purple_prefs_add_bool(PIDGIN_PREFS_ROOT "/conversations/show_formatting_toolbar", TRUE);
 
-	purple_prefs_add_string(PIDGIN_PREFS_ROOT "/conversations/bgcolor", "");
-	purple_prefs_add_string(PIDGIN_PREFS_ROOT "/conversations/fgcolor", "");
-	purple_prefs_add_string(PIDGIN_PREFS_ROOT "/conversations/font_face", "");
-	purple_prefs_add_int(PIDGIN_PREFS_ROOT "/conversations/font_size", 3);
 	purple_prefs_add_int(PIDGIN_PREFS_ROOT "/conversations/scrollback_lines", 4000);
 
 	/* Conversations -> Chat */
diff --git a/pidgin/prefs/pidginconversationprefs.c b/pidgin/prefs/pidginconversationprefs.c
--- a/pidgin/prefs/pidginconversationprefs.c
+++ b/pidgin/prefs/pidginconversationprefs.c
@@ -25,7 +25,6 @@
 #include <purple.h>
 
 #include <adwaita.h>
-#include <talkatu.h>
 
 #include "pidginconversationprefs.h"
 #include "pidgincore.h"
@@ -43,35 +42,12 @@
 		GtkWidget *blink_im;
 	} win32;
 	GtkWidget *minimum_entry_lines;
-	GtkTextBuffer *format_buffer;
 };
 
 G_DEFINE_TYPE(PidginConversationPrefs, pidgin_conversation_prefs,
               ADW_TYPE_PREFERENCES_PAGE)
 
 /******************************************************************************
- * Helpers
- *****************************************************************************/
-static void
-formatting_toggle_cb(TalkatuActionGroup *ag, GAction *action, const gchar *name, gpointer data)
-{
-	gboolean activated = talkatu_action_group_get_action_activated(ag, name);
-	if(g_ascii_strcasecmp(TALKATU_ACTION_FORMAT_BOLD, name) != 0) {
-		purple_prefs_set_bool(PIDGIN_PREFS_ROOT "/conversations/send_bold",
-		                      activated);
-	} else if(g_ascii_strcasecmp(TALKATU_ACTION_FORMAT_ITALIC, name) != 0) {
-		purple_prefs_set_bool(PIDGIN_PREFS_ROOT "/conversations/send_italic",
-		                      activated);
-	} else if(g_ascii_strcasecmp(TALKATU_ACTION_FORMAT_UNDERLINE, name) != 0) {
-		purple_prefs_set_bool(PIDGIN_PREFS_ROOT "/conversations/send_underline",
-		                      activated);
-	} else if(g_ascii_strcasecmp(TALKATU_ACTION_FORMAT_STRIKETHROUGH, name) != 0) {
-		purple_prefs_set_bool(PIDGIN_PREFS_ROOT "/conversations/send_strike",
-		                      activated);
-	}
-}
-
-/******************************************************************************
  * GObject Implementation
  *****************************************************************************/
 static void
@@ -99,16 +75,11 @@
 	gtk_widget_class_bind_template_child(
 			widget_class, PidginConversationPrefs,
 			minimum_entry_lines);
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginConversationPrefs,
-			format_buffer);
 }
 
 static void
 pidgin_conversation_prefs_init(PidginConversationPrefs *prefs)
 {
-	GSimpleActionGroup *ag = NULL;
-
 	gtk_widget_init_template(GTK_WIDGET(prefs));
 
 	pidgin_prefs_bind_switch(PIDGIN_PREFS_ROOT "/conversations/show_incoming_formatting",
@@ -127,10 +98,6 @@
 	pidgin_prefs_bind_spin_button(
 		PIDGIN_PREFS_ROOT "/conversations/minimum_entry_lines",
 		prefs->minimum_entry_lines);
-
-	ag = talkatu_buffer_get_action_group(TALKATU_BUFFER(prefs->format_buffer));
-	g_signal_connect_after(G_OBJECT(ag), "action-activated",
-	                       G_CALLBACK(formatting_toggle_cb), NULL);
 }
 
 /******************************************************************************
diff --git a/pidgin/resources/Prefs/conversation.ui b/pidgin/resources/Prefs/conversation.ui
--- a/pidgin/resources/Prefs/conversation.ui
+++ b/pidgin/resources/Prefs/conversation.ui
@@ -24,10 +24,6 @@
   <!-- interface-name Pidgin -->
   <!-- interface-description Internet Messenger -->
   <!-- interface-copyright Pidgin Developers <devel@pidgin.im> -->
-  <object class="TalkatuWholeBuffer" id="format_buffer">
-    <property name="text" translatable="1">This is how your outgoing message text will appear when you use protocols that support formatting.</property>
-    <property name="style">whole</property>
-  </object>
   <object class="GtkAdjustment" id="minimum_entry_lines.adjustment">
     <property name="lower">1</property>
     <property name="upper">8</property>
@@ -96,23 +92,5 @@
         </child>
       </object>
     </child>
-    <child>
-      <object class="AdwPreferencesGroup">
-        <property name="title" translatable="1">Default Formatting</property>
-        <child>
-          <object class="AdwPreferencesRow">
-            <child>
-              <object class="TalkatuEditor">
-                <property name="buffer">format_buffer</property>
-                <property name="focusable">1</property>
-                <property name="show-send-button">0</property>
-                <property name="show-toolbar">1</property>
-                <property name="width-request">450</property>
-              </object>
-            </child>
-          </object>
-        </child>
-      </object>
-    </child>
   </template>
 </interface>
